Package net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl

# Class CriteriaDecryptionConfigurationLookup

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl.CriteriaDecryptionConfigurationLookup

All Implemented Interfaces:
  `Function<ResponseData,List<DecryptionConfiguration>>`, `Component`, `DestructableComponent`, `InitializableComponent`

public class CriteriaDecryptionConfigurationLookup extends AbstractInitializableComponent implements Function<ResponseData,List<DecryptionConfiguration>>
A component which resolves a list of `DecryptionConfiguration` using a delegated criteria-based resolver.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Resolver<List<DecryptionConfiguration>,CriteriaSet>`
`configurationResolver`
Resolver for decryption configurations.
`private org.slf4j.Logger`
`log`
Logger.
`private String`
`securityConfigurationProfileId`
Security configuration profile ID.

## Constructor Summary

Constructors
Constructor
Description
`CriteriaDecryptionConfigurationLookup()`

## Method Summary

Modifier and Type
Method
Description
`List<DecryptionConfiguration>`
`apply(ResponseData responseData)`
`protected void`
`doInitialize()`
`Resolver<List<DecryptionConfiguration>,CriteriaSet>`
`getDecryptionConfigurationResolver()`
Get the resolver delegate.
`void`
`setDecryptionConfigurationResolver(Resolver<List<DecryptionConfiguration>,CriteriaSet> resolver)`
Set the resolver delegate.
`void`
`setSecurityConfigurationProfileId(String profileId)`
Set the security configuration profile ID to use.

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

### configurationResolver

@NonnullAfterInit private Resolver<List<DecryptionConfiguration>,CriteriaSet> configurationResolver
Resolver for decryption configurations.

### securityConfigurationProfileId

@NonnullAfterInit private String securityConfigurationProfileId
Security configuration profile ID.

## Constructor Details

### CriteriaDecryptionConfigurationLookup

public CriteriaDecryptionConfigurationLookup()

## Method Details

### getDecryptionConfigurationResolver

@NonnullAfterInit public Resolver<List<DecryptionConfiguration>,CriteriaSet> getDecryptionConfigurationResolver()
Get the resolver delegate.

Returns:
  the resolver

### setDecryptionConfigurationResolver

public void setDecryptionConfigurationResolver(@Nullable Resolver<List<DecryptionConfiguration>,CriteriaSet> resolver)
Set the resolver delegate.

Parameters:
  `resolver` - the resolver instance

### setSecurityConfigurationProfileId

public void setSecurityConfigurationProfileId(@Nullable String profileId)
Set the security configuration profile ID to use.

Parameters:
  `profileId` - the profile ID, or null

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`

### apply

@Nullable public List<DecryptionConfiguration> apply(@Nullable ResponseData responseData)

Specified by:
  `apply` in interface `Function<ResponseData,List<DecryptionConfiguration>>`